com.android.agf.asynctask

## Class ShareDashboard

- java.lang.Object
- - android.os.AsyncTask<String,Void,ArrayList<DashComponent>>
  - - com.android.agf.asynctask.ShareDashboard

- Direct Known Subclasses:
    DashboardFragment.MyShare

      public class ShareDashboard
      extends AsyncTask<String,Void,ArrayList<DashComponent>>

  classe que implementa una asynctask per generar l'estructura json per compartir un dashboard
  Author:
    albert

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.os.AsyncTask

      `AsyncTask.Status`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Dashboard` | `mDash`

    - ### Fields inherited from class android.os.AsyncTask

      `SERIAL_EXECUTOR, THREAD_POOL_EXECUTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShareDashboard(Context ctx, Dashboard d)` constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ArrayList<DashComponent>` | `doInBackground(String... urls)`

    - ### Methods inherited from class android.os.AsyncTask

      `cancel, execute, execute, executeOnExecutor, get, get, getStatus, isCancelled, onCancelled, onCancelled, onPostExecute, onPreExecute, onProgressUpdate, publishProgress`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mDash

          protected Dashboard mDash

  - ### Constructor Detail

    - #### ShareDashboard

          public ShareDashboard(Context ctx,
                        Dashboard d)

      constructor
      Parameters:
        `ctx` -
        `d` -

  - ### Method Detail

    - #### doInBackground

          protected ArrayList<DashComponent> doInBackground(String... urls)

      Specified by:
        `doInBackground` in class `AsyncTask<String,Void,ArrayList<DashComponent>>`